package main

import (
	"context"
	"net/http"
)

type netDirect struct {
	c http.Client
}

func (n *netDirect) Get(ctx context.Context, url string) (*http.Response, error) {
	var resp *http.Response
	if req, err := http.NewRequestWithContext(ctx, http.MethodGet, url, nil); err != nil {
		return nil, err
	} else if resp, err = n.c.Do(req); err != nil {
		return nil, err
	}
	return resp, nil
}
